Send an order cancellation

Creates a SubmitOrderCancellationbusiness transaction from a metadata structure.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The more parameter of the call informs the server whether additional document attachments are expected or not and then updates the message status. If no more documents will be added, the call sets the status of the message to received. Otherwise, the message remains open and the message status is notset.

📘

This document is for customer cancelling an order. See Send order response for advanced procurement for supplier cancellation of an order.

The following example contains the minimum JSON body required to create a valid order change. These elements are mandatory.

{
  "messageHandling": {
    "receiverIdentifier": "0196:2222228899",
    "fallbackEmailAddress": "[email protected]"
  },
  "order": {
    "orderNo": "ORD1234",
    "issueDate": "2019-05-26T10:15:42.774Z",
    "cancellationNote": "This order is cancelled",
    "customer": {
      "identifier": "0196:1111118899",
      "name": "Test Party One",
      "address": {
        "streetNameAndNumber": "42nd Street 1",
        "city": "New York",
        "postalZone": "10036",
        "countryCode": "US"
      }
    },
    "supplier": {
      "identifier": "0196:2222228899",
      "name": "Test Party Two",
      "address": {
        "streetNameAndNumber": "14th Street 52",
        "city": "New York",
        "postalZone": "10011",
        "countryCode": "US"
      }
    }
  }
}

Query Params
uuid
required

The identifier of the message in the format of a valid Universally unique identifier (GUID).

string

The identifier of the conversation.
Used as a correlation identifier between different documents in the same business context, for example, between a credit note that was issued based on an invoice and that invoice.

If not provided, it is generated automatically.
In that case, it includes the date when the message was sent, a random token, and the ISO identifier of the sender.

boolean
required

Signals if the current document is the last document that the message is supposed to contain.
If that is true, the processing starts immediately.

string
enum

The way the transaction is processed.

Allowed:
services
array of strings

A list of services that the user specifies for additional message processing.

services
Body Params
messageHandling
object
required

Message delivery information.

orderCancellation
object
required

The metadata structure of an order.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/xml